Retrieve all the data partitions to which the user has access.

Request

  • Retrieve all data partitions that the user has access to.
  • The user is identified through their user-principal, as indicated by the email claim in the JWT token within the authorization header.
  • The API caller is authenticated via the service principal, as indicated by the azp (Authorized Party) claim in the JWT token within the authorization header.
  • If your application must be scoped to specific billing accounts, the client ID needs the ccm.user.read (e.g., the controlPlaneAdmin role) permission. Please raise the request with the CSI team.
  • The API enforces a request rate limit of 10 requests per minute per caller.
Security
bearer and appkey
curl -i -X GET \
  https://api.delfi.slb.com/ccm/userAssociation/v1/dataPartitions \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'appkey: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
Array [
partitionIdstring

dataPartitionId is the CCM Auto-Generated ID for the Data Partition.

slbPartitionIdstring

unique id representing the data partition registration in Delfi.

partitionNamestring

name of the Data Partition.

groupIdstring

user group id from which a user has been granted access to the Data Partition.

departmentIdstring

departmentId from which a user has been granted access to the Data Partition.

billingAccountIdstring

billing account Id in which user was granted access to the data partition via department/user group association.

billingAccountNamestring

billing account name in which user was granted access to the data partition via department/user group association.

isRegisteredboolean

Whether a data partition has been registered in Delfi. Only registered data partitions are available for users to select while setting up user context.

partitionAccountIdstring

billing account Id in which data partition was registered to Delfi. associated to.

partitionAccountNamestring

billing account name in which data partition was registered to Delfi.

endpointIDstring

A unique id issued for the endpoint(e.g. OSDU instance) registered in Delfi, where the data partition is hosted.

endpointNamestring
instancestring

URL of the endpoint (e.g. OSDU instance) registered in Delfi, where the data partition is hosted.

repositoryKindstring

Kind of the data endpoint(e.g. DES(Delfi Data Ecosystem), OSDU(OSDU Data Layer)) hosting the given data partition.

]
Response
[ { "partitionId": "string", "slbPartitionId": "string", "partitionName": "string", "groupId": "string", "departmentId": "string", "billingAccountId": "string", "billingAccountName": "string", "isRegistered": true, "partitionAccountId": "string", "partitionAccountName": "string", "endpointID": "string", "endpointName": "string", "instance": "string", "repositoryKind": "string" } ]